VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Einstellungen 
   Caption         =   "Einstellungen"
   ClientHeight    =   4185
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6720
   Icon            =   "frmEinstellungen.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   4185
   ScaleWidth      =   6720
   Begin VB.ComboBox cmbTrenner 
      Height          =   315
      Left            =   1800
      TabIndex        =   2
      Top             =   2520
      Width           =   1575
   End
   Begin VB.CommandButton cmdFile 
      Height          =   375
      Left            =   6000
      Picture         =   "frmEinstellungen.frx":0442
      Style           =   1  'Grafisch
      TabIndex        =   8
      TabStop         =   0   'False
      Top             =   1680
      Width           =   615
   End
   Begin VB.TextBox FileName 
      Height          =   285
      Left            =   1800
      TabIndex        =   1
      Top             =   1680
      Width           =   4095
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   3840
      Top             =   240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.ComboBox cmbPort 
      Height          =   315
      Left            =   1800
      TabIndex        =   0
      Top             =   840
      Width           =   855
   End
   Begin VB.CommandButton cmdExit 
      Height          =   735
      Left            =   5760
      Picture         =   "frmEinstellungen.frx":058C
      Style           =   1  'Grafisch
      TabIndex        =   5
      TabStop         =   0   'False
      ToolTipText     =   "Exit"
      Top             =   3360
      Width           =   855
   End
   Begin VB.CommandButton cmdSave 
      Height          =   735
      Left            =   120
      Picture         =   "frmEinstellungen.frx":0896
      Style           =   1  'Grafisch
      TabIndex        =   3
      ToolTipText     =   "Einstellungen speichern"
      Top             =   3360
      Width           =   855
   End
   Begin VB.Label Label4 
      Caption         =   "Trennzeichen:"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   2520
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Datei zum speichern:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1680
      Width           =   1695
   End
   Begin VB.Label Label3 
      Caption         =   "Wahl der Schnittstelle:"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   840
      Width           =   1695
   End
   Begin VB.Label Label2 
      Caption         =   "Einstellungen"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   2895
   End
End
Attribute VB_Name = "Einstellungen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' MDI-Form      : Einstellungen
' System        : VB 6.0 SP6
' Copyright (C) : E+A Forschungsinstitut Elektromaschinen GmbH, CH-4313 Mhlin
'
' Beschreibung  : Programm Einstellungen
'
'
' nderungen    :
' 24.03.05/Beju : Programmier Beginn
'

Option Explicit

Private Sub cmdExit_Click()
  Unload Me
End Sub

Private Sub cmdFile_Click()
  FileName = DateiWahl(DataFile)
  If FileName.Text <> "" Then DataFile = FileName.Text
End Sub

Private Sub cmdSave_Click()
  Schnittstelle = cmbPort.List(cmbPort.ListIndex)
  DataTrenner = cmbTrenner.List(cmbTrenner.ListIndex)
  Call OutputGlobalIni
  Unload Me
End Sub

'Form++++++++++++++++++++++++++++++
' Struktur erstellen beim Laden des Formulars
Private Sub Form_Load()
  Dim count As Long
  Dim Format As String
  On Error Resume Next
  Me.MousePointer = vbHourglass
  Main.MDIBar.Add Me   'Taskliste erstellen
  'Grssenanpassung
'  Me.Width = 6840     'Formgrsse
'  Me.Height = 4590    'Formgrsse
  Me.Width = cmdExit.Left + cmdExit.Width + 230  '7560 Formgrsse
  Me.Height = cmdExit.Top + cmdExit.Height + 500 '7350 Formgrsse

  'Schnittstellen Combobox einstellen
  Call FillPortCombobox(cmbPort, , True)
  count = 0
  Do
    If count > cmbPort.ListCount Then Exit Do
    If UCase(Schnittstelle) = UCase(cmbPort.List(count)) Then
      cmbPort.ListIndex = count
      Exit Do
    End If
    count = count + 1
  Loop
  
  'Filename Textfiel einstellen
  FileName.Text = DataFile
  
  'Trennzeichen Combobox einstellen
  cmbTrenner.AddItem "Semikolon [;]"
  cmbTrenner.AddItem "Komma [,]"
  cmbTrenner.AddItem "Tababulator"
  count = 0
  Do
    If count > cmbTrenner.ListCount Then Exit Do
    If UCase(DataTrenner) = UCase(cmbTrenner.List(count)) Then
      cmbTrenner.ListIndex = count
      Exit Do
    End If
    count = count + 1
  Loop
  
  Me.MousePointer = vbArrow
End Sub

Private Sub Form_Activate()
  Main.MDIBar.Activate Me   'Taskleiste aktivieren
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  Main.MDIBar.Remove Me     'Taskleiste entfernen
End Sub

'Grssenanpassung
Private Sub Form_Resize()
  On Error Resume Next
  If WindowState = 1 Then   'Taskleiste aktualisieren
    With Main.MDIBar
      If .Visible Then Hide
      .Deactivate Me
    End With
  End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
  On Error Resume Next
End Sub
'Form------------------------------

Function DateiWahl(Optional Datei As String) As String
  With CommonDialog1
    .DialogTitle = "Datei zum speichern whlen..."
    .Filter = "*.txt|*.txt|*.dat|*.dat|*.*|*.*"
    .FileName = Datei
    .Flags = cdlOFNExplorer Or cdlOFNPathMustExist
    .ShowOpen
    DateiWahl = .FileName
  End With
End Function


